Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Interface IPreferencePage

All Superinterfaces:
  IDialogPage

All Known Subinterfaces:
  IWorkbenchPreferencePage, IWorkbenchPropertyPage

All Known Implementing Classes:
  PreferencePage, PropertyPage, TemplatePreferencePage, TextEditorPreferencePage

public interface IPreferencePage
extends IDialogPage

An interface for a preference page. This interface is used primarily by the page's container

Method Summary
`Point` | `computeSize()` Computes a size for this page's UI component.
`boolean` | `isValid()` Returns whether this dialog page is in a valid state.
`boolean` | `okToLeave()` Checks whether it is alright to leave this page.
`boolean` | `performCancel()` Notifies that the container of this preference page has been canceled.
`boolean` | `performOk()` Notifies that the OK button of this page's container has been pressed.
`void` | `setContainer(IPreferencePageContainer preferencePageContainer)` Sets or clears the container of this page.
`void` | `setSize(Point size)` Sets the size of this page's UI component.

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### computeSize

    public Point computeSize()

  Computes a size for this page's UI component.

  Returns:
    the size of the preference page encoded as `new Point(width,height)`, or `(0,0)` if the page doesn't currently have any UI component

### isValid

    public boolean isValid()

  Returns whether this dialog page is in a valid state.

  Returns:
    `true` if the page is in a valid state, and `false` if invalid

### okToLeave

    public boolean okToLeave()

  Checks whether it is alright to leave this page.

  Returns:
    `false` to abort page flipping and the have the current page remain visible, and `true` to allow the page flip

### performCancel

    public boolean performCancel()

  Notifies that the container of this preference page has been canceled.

  Returns:
    `false` to abort the container's cancel procedure and `true` to allow the cancel to happen

### performOk

    public boolean performOk()

  Notifies that the OK button of this page's container has been pressed.

  Returns:
    `false` to abort the container's OK processing and `true` to allow the OK to happen

### setContainer

    public void setContainer(IPreferencePageContainer preferencePageContainer)

  Sets or clears the container of this page.

  Parameters:
    `preferencePageContainer` - the preference page container, or `null`

### setSize

    public void setSize(Point size)

  Sets the size of this page's UI component.

  Parameters:
    `size` - the size of the preference page encoded as `new Point(width,height)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.